Bug 13859 - Fix item search result list - obsolete "by" and display of publication date for MARC21
Summary: Fix item search result list - obsolete "by" and display of publication date f...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-17 23:54 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13859: Item search improvements - publication date and title formatting (2.08 KB, patch)
2015-03-18 00:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13859: Item search improvements - publication date and title formatting (2.16 KB, patch)
2015-03-18 19:11 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 13859: Item search improvements - publication date and title formatting (2.21 KB, patch)
2015-03-19 10:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13859: Item search improvements - publication date and title formatting (2.30 KB, patch)
2015-03-19 11:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-17 23:54:19 UTC
The new item search feature always displays 'by' after each title, even if no author exists. Because of the ISBD punctuation the by is not needed for MARC21.
Comment 1 Katrin Fischer 2015-03-18 00:35:47 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2015-03-18 19:11:46 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2015-03-18 19:12:55 UTC
Works for MARC21, setting back to needs signoff for a UNIMARC-Tester.
Comment 4 Jonathan Druart 2015-03-19 10:13:11 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2015-03-19 11:11:57 UTC
Created attachment 37005 [details] [review]
Bug 13859: Item search improvements - publication date and title formatting

In the item search accessible from the advanced search the publication
date would not display for MARC21 and the title always contained 'by'
even if there was no author information to display. Also the by is
not needed by MARC21 as the data includes punctuation.

To test:
- Check publication date always displays (MARC21 and UNIMARC)
- Check that for MARC21 the by has been removed from the title information
- Check that for UNIMARC the by only displays when there is also
  an author to display

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Tested for MARC21

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Tomás Cohen Arazi 2015-03-31 14:59:31 UTC
Patch pushed to master.

Thanks Katrina!
Comment 7 Chris Cormack 2015-04-06 08:45:04 UTC
Pushed to 3.18.x will be in 3.18.6